with GNATCOM.Dispinterface;

package MSHTML.IHTMLPluginsCollection_Interface is

   type IHTMLPluginsCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLPluginsCollection_Type);

   function Pointer (This : IHTMLPluginsCollection_Type)
     return Pointer_To_IHTMLPluginsCollection;

   procedure Attach (This    : in out IHTMLPluginsCollection_Type;
                     Pointer : in     Pointer_To_IHTMLPluginsCollection);

   function Get_length
     (This : IHTMLPluginsCollection_Type)
     return Interfaces.C.long;

   procedure refresh
     (This   : IHTMLPluginsCollection_Type;
      reload : GNATCOM.Types.VARIANT_BOOL);

end MSHTML.IHTMLPluginsCollection_Interface;

